Package ru.bitel.bgbilling.modules.mobile.server.bean

# Class MobContractData

java.lang.Object
ru.bitel.bgbilling.modules.mobile.server.bean.MobContractData

    public class MobContractData
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MobContractData()` |
  `MobContractData​(Contract contract)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAbsoluteServerDate()` |
  `java.math.BigDecimal` | `getBalance()` |
  `byte` | `getBalanceMode()` |
  `int` | `getContractId()` |
  `MobileContractTariff` | `getContractTariff()` |
  `java.math.BigDecimal` | `getLimit()` |
  `java.util.List<MobileMenuItem>` | `getMenuItems()` |
  `java.util.Map<java.lang.String,​java.lang.Object>` | `getParams()` |
  `java.util.List<java.util.Map<java.lang.String,​java.lang.String>>` | `getPaymentModules()` |
  `java.util.List<java.lang.String>` | `getPluginsIdList()` |
  `java.util.Date` | `getServerDate()` | Deprecated.
  `int` | `getStatus()` |
  `java.util.List<Status>` | `getStatusList()` |
  `java.util.List<IdTitle>` | `getSubContractList()` |
  `int` | `getSuperContractId()` |
  `java.lang.String` | `getTariffDateFrom()` |
  `java.lang.String` | `getTariffDateTo()` |
  `java.lang.String` | `getTariffTitle()` |
  `java.lang.String` | `getTitle()` |
  `bitel.billing.common.VersionInfo` | `getVi()` |
  `void` | `setAbsoluteServerDate​(java.lang.String absoluteServerDate)` |
  `void` | `setBalance​(java.math.BigDecimal balance)` |
  `void` | `setBalanceMode​(byte balanceMode)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setContractTariff​(MobileContractTariff contractTariff)` |
  `void` | `setLimit​(java.math.BigDecimal limit)` |
  `void` | `setMenuItems​(java.util.List<MobileMenuItem> menuItems)` |
  `void` | `setParams​(java.util.Map<java.lang.String,​java.lang.Object> params)` |
  `void` | `setPaymentModules​(java.util.List<java.util.Map<java.lang.String,​java.lang.String>> paymentModules)` |
  `void` | `setPluginsIdList​(java.util.List<java.lang.String> pluginsIdList)` |
  `void` | `setServerDate​(java.util.Date serverDate)` | Deprecated.
  `void` | `setStatus​(int status)` |
  `void` | `setStatusList​(java.util.List<Status> statusList)` |
  `void` | `setSubContractList​(java.util.List<IdTitle> subContractList)` |
  `void` | `setSuperContractId​(int superContractId)` |
  `void` | `setTariffDateFrom​(java.lang.String tariffDateFrom)` |
  `void` | `setTariffDateTo​(java.lang.String tariffDateTo)` |
  `void` | `setTariffTitle​(java.lang.String tariffTitle)` |
  `void` | `setTitle​(java.lang.String title)` |
  `void` | `setVi​(bitel.billing.common.VersionInfo vi)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MobContractData

    public MobContractData()

  - ### MobContractData

    public MobContractData​(Contract contract)

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getTitle

    public java.lang.String getTitle()

  - ### setTitle

    public void setTitle​(java.lang.String title)

  - ### getBalance

    public java.math.BigDecimal getBalance()

  - ### setBalance

    public void setBalance​(java.math.BigDecimal balance)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus​(int status)

  - ### getTariffTitle

    public java.lang.String getTariffTitle()

  - ### setTariffTitle

    public void setTariffTitle​(java.lang.String tariffTitle)

  - ### getContractTariff

    public MobileContractTariff getContractTariff()

  - ### setContractTariff

    public void setContractTariff​(MobileContractTariff contractTariff)

  - ### getLimit

    public java.math.BigDecimal getLimit()

  - ### setLimit

    public void setLimit​(java.math.BigDecimal limit)

  - ### getServerDate

    @Deprecated public java.util.Date getServerDate()
    Deprecated.

  - ### setServerDate

    @Deprecated public void setServerDate​(java.util.Date serverDate)
    Deprecated.

  - ### getAbsoluteServerDate

    public java.lang.String getAbsoluteServerDate()

  - ### setAbsoluteServerDate

    public void setAbsoluteServerDate​(java.lang.String absoluteServerDate)

  - ### getBalanceMode

    public byte getBalanceMode()

  - ### setBalanceMode

    public void setBalanceMode​(byte balanceMode)

  - ### getStatusList

    public java.util.List<Status> getStatusList()

  - ### setStatusList

    public void setStatusList​(java.util.List<Status> statusList)

  - ### getMenuItems

    public java.util.List<MobileMenuItem> getMenuItems()

  - ### setMenuItems

    public void setMenuItems​(java.util.List<MobileMenuItem> menuItems)

  - ### getTariffDateFrom

    public java.lang.String getTariffDateFrom()

  - ### setTariffDateFrom

    public void setTariffDateFrom​(java.lang.String tariffDateFrom)

  - ### getTariffDateTo

    public java.lang.String getTariffDateTo()

  - ### setTariffDateTo

    public void setTariffDateTo​(java.lang.String tariffDateTo)

  - ### getPluginsIdList

    public java.util.List<java.lang.String> getPluginsIdList()

  - ### setPluginsIdList

    public void setPluginsIdList​(java.util.List<java.lang.String> pluginsIdList)

  - ### getPaymentModules

    public java.util.List<java.util.Map<java.lang.String,​java.lang.String>> getPaymentModules()

  - ### setPaymentModules

    public void setPaymentModules​(java.util.List<java.util.Map<java.lang.String,​java.lang.String>> paymentModules)

  - ### getSubContractList

    public java.util.List<IdTitle> getSubContractList()

  - ### setSubContractList

    public void setSubContractList​(java.util.List<IdTitle> subContractList)

  - ### getSuperContractId

    public int getSuperContractId()

  - ### setSuperContractId

    public void setSuperContractId​(int superContractId)

  - ### getVi

    public bitel.billing.common.VersionInfo getVi()

  - ### setVi

    public void setVi​(bitel.billing.common.VersionInfo vi)

  - ### getParams

    public java.util.Map<java.lang.String,​java.lang.Object> getParams()

  - ### setParams

    public void setParams​(java.util.Map<java.lang.String,​java.lang.Object> params)